Upstream information

CVE-2010-4700 at MITRE

Description

The set_magic_quotes_runtime function in PHP 5.3.2 and 5.3.3, when the MySQLi extension is used, does not properly interact with use of the mysqli_fetch_assoc function, which might make it easier for context-dependent attackers to conduct SQL injection attacks via crafted input that had been properly handled in earlier PHP versions.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 666512 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.2
openSUSE 11.3
  • apache2-mod_php5-debuginfo >= 5.3.3-0.17.1
  • php5-bcmath-debuginfo >= 5.3.3-0.17.1
  • php5-bz2-debuginfo >= 5.3.3-0.17.1
  • php5-calendar-debuginfo >= 5.3.3-0.17.1
  • php5-ctype-debuginfo >= 5.3.3-0.17.1
  • php5-curl-debuginfo >= 5.3.3-0.17.1
  • php5-dba-debuginfo >= 5.3.3-0.17.1
  • php5-debuginfo >= 5.3.3-0.17.1
  • php5-debugsource >= 5.3.3-0.17.1
  • php5-dom-debuginfo >= 5.3.3-0.17.1
  • php5-enchant-debuginfo >= 5.3.3-0.17.1
  • php5-exif-debuginfo >= 5.3.3-0.17.1
  • php5-fastcgi-debuginfo >= 5.3.3-0.17.1
  • php5-fileinfo-debuginfo >= 5.3.3-0.17.1
  • php5-ftp-debuginfo >= 5.3.3-0.17.1
  • php5-gd-debuginfo >= 5.3.3-0.17.1
  • php5-gettext-debuginfo >= 5.3.3-0.17.1
  • php5-gmp-debuginfo >= 5.3.3-0.17.1
  • php5-hash-debuginfo >= 5.3.3-0.17.1
  • php5-iconv-debuginfo >= 5.3.3-0.17.1
  • php5-imap-debuginfo >= 5.3.3-0.17.1
  • php5-intl-debuginfo >= 5.3.3-0.17.1
  • php5-json-debuginfo >= 5.3.3-0.17.1
  • php5-ldap-debuginfo >= 5.3.3-0.17.1
  • php5-mbstring-debuginfo >= 5.3.3-0.17.1
  • php5-mcrypt-debuginfo >= 5.3.3-0.17.1
  • php5-mysql-debuginfo >= 5.3.3-0.17.1
  • php5-odbc-debuginfo >= 5.3.3-0.17.1
  • php5-openssl-debuginfo >= 5.3.3-0.17.1
  • php5-pcntl-debuginfo >= 5.3.3-0.17.1
  • php5-pdo-debuginfo >= 5.3.3-0.17.1
  • php5-pgsql-debuginfo >= 5.3.3-0.17.1
  • php5-phar-debuginfo >= 5.3.3-0.17.1
  • php5-posix-debuginfo >= 5.3.3-0.17.1
  • php5-pspell-debuginfo >= 5.3.3-0.17.1
  • php5-readline-debuginfo >= 5.3.3-0.17.1
  • php5-shmop-debuginfo >= 5.3.3-0.17.1
  • php5-snmp-debuginfo >= 5.3.3-0.17.1
  • php5-soap-debuginfo >= 5.3.3-0.17.1
  • php5-sockets-debuginfo >= 5.3.3-0.17.1
  • php5-sqlite-debuginfo >= 5.3.3-0.17.1
  • php5-suhosin-debuginfo >= 5.3.3-0.17.1
  • php5-sysvmsg-debuginfo >= 5.3.3-0.17.1
  • php5-sysvsem-debuginfo >= 5.3.3-0.17.1
  • php5-sysvshm-debuginfo >= 5.3.3-0.17.1
  • php5-tidy-debuginfo >= 5.3.3-0.17.1
  • php5-tokenizer-debuginfo >= 5.3.3-0.17.1
  • php5-wddx-debuginfo >= 5.3.3-0.17.1
  • php5-xmlreader-debuginfo >= 5.3.3-0.17.1
  • php5-xmlrpc-debuginfo >= 5.3.3-0.17.1
  • php5-xmlwriter-debuginfo >= 5.3.3-0.17.1
  • php5-xsl-debuginfo >= 5.3.3-0.17.1
  • php5-zip-debuginfo >= 5.3.3-0.17.1
  • php5-zlib-debuginfo >= 5.3.3-0.17.1
openSUSE 11.2
openSUSE 11.3
  • apache2-mod_php5 >= 5.3.3-0.17.1
  • php5 >= 5.3.3-0.17.1
  • php5-bcmath >= 5.3.3-0.17.1
  • php5-bz2 >= 5.3.3-0.17.1
  • php5-calendar >= 5.3.3-0.17.1
  • php5-ctype >= 5.3.3-0.17.1
  • php5-curl >= 5.3.3-0.17.1
  • php5-dba >= 5.3.3-0.17.1
  • php5-devel >= 5.3.3-0.17.1
  • php5-dom >= 5.3.3-0.17.1
  • php5-enchant >= 5.3.3-0.17.1
  • php5-exif >= 5.3.3-0.17.1
  • php5-fastcgi >= 5.3.3-0.17.1
  • php5-fileinfo >= 5.3.3-0.17.1
  • php5-ftp >= 5.3.3-0.17.1
  • php5-gd >= 5.3.3-0.17.1
  • php5-gettext >= 5.3.3-0.17.1
  • php5-gmp >= 5.3.3-0.17.1
  • php5-hash >= 5.3.3-0.17.1
  • php5-iconv >= 5.3.3-0.17.1
  • php5-imap >= 5.3.3-0.17.1
  • php5-intl >= 5.3.3-0.17.1
  • php5-json >= 5.3.3-0.17.1
  • php5-ldap >= 5.3.3-0.17.1
  • php5-mbstring >= 5.3.3-0.17.1
  • php5-mcrypt >= 5.3.3-0.17.1
  • php5-mysql >= 5.3.3-0.17.1
  • php5-odbc >= 5.3.3-0.17.1
  • php5-openssl >= 5.3.3-0.17.1
  • php5-pcntl >= 5.3.3-0.17.1
  • php5-pdo >= 5.3.3-0.17.1
  • php5-pear >= 5.3.3-0.17.1
  • php5-pgsql >= 5.3.3-0.17.1
  • php5-phar >= 5.3.3-0.17.1
  • php5-posix >= 5.3.3-0.17.1
  • php5-pspell >= 5.3.3-0.17.1
  • php5-readline >= 5.3.3-0.17.1
  • php5-shmop >= 5.3.3-0.17.1
  • php5-snmp >= 5.3.3-0.17.1
  • php5-soap >= 5.3.3-0.17.1
  • php5-sockets >= 5.3.3-0.17.1
  • php5-sqlite >= 5.3.3-0.17.1
  • php5-suhosin >= 5.3.3-0.17.1
  • php5-sysvmsg >= 5.3.3-0.17.1
  • php5-sysvsem >= 5.3.3-0.17.1
  • php5-sysvshm >= 5.3.3-0.17.1
  • php5-tidy >= 5.3.3-0.17.1
  • php5-tokenizer >= 5.3.3-0.17.1
  • php5-wddx >= 5.3.3-0.17.1
  • php5-xmlreader >= 5.3.3-0.17.1
  • php5-xmlrpc >= 5.3.3-0.17.1
  • php5-xmlwriter >= 5.3.3-0.17.1
  • php5-xsl >= 5.3.3-0.17.1
  • php5-zip >= 5.3.3-0.17.1
  • php5-zlib >= 5.3.3-0.17.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 GA php5 Affected
SUSE Linux Enterprise SDK 11 SP1 php5 Released
SUSE Linux Enterprise Server 10 SP3 php5 Released
SUSE Linux Enterprise Server 10 SP4 php5 Released
SUSE Linux Enterprise Server 10 SP4 LTSS php5 Released
SUSE Linux Enterprise Server 11 SP1 php5 Released
SUSE Linux Enterprise Server 11 SP1 LTSS php5 Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 php5 Released